/*html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}*/

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

/*.darker-border-checkbox.form-check-input {
    border-color: #929292;
}*/

/* Main CSS Here */

@import url( "https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

:root {
    --background-color1: #fafaff;
    --background-color2: #ffffff;
    --background-color3: #ededed;
    --background-color4: #cad7fda4;
    --primary-color: #4b49ac;
    --secondary-color: #0c007d;
    --Border-color: #3f0097;
    --one-use-color: #3f0097;
    --two-use-color: #5500cb;

    /** Base colors */
    --clr-dark-a0: #000000;
    --clr-light-a0: #ffffff;
    /** Dark theme primary colors */
    --clr-primary-a0: #21a1de;
    --clr-primary-a10: #4eabe2;
    --clr-primary-a20: #6bb5e6;
    --clr-primary-a30: #84c0e9;
    --clr-primary-a40: #9acaed;
    --clr-primary-a50: #afd4f1;
    /** Dark theme surface colors */
    --clr-surface-a0: #121212;
    --clr-surface-a10: #282828;
    --clr-surface-a20: #3f3f3f;
    --clr-surface-a30: #575757;
    --clr-surface-a40: #717171;
    --clr-surface-a50: #8b8b8b;
    /** Dark theme tonal surface colors */
    --clr-surface-tonal-a0: #191f23;
    --clr-surface-tonal-a10: #2e3438;
    --clr-surface-tonal-a20: #454a4d;
    --clr-surface-tonal-a30: #5d6164;
    --clr-surface-tonal-a40: #75797c;
    --clr-surface-tonal-a50: #8f9395;
}

body {
    /*background-color: var(--background-color4);*/
    background-color: var(--clr-surface-a0);
    color: var(--clr-primary-a50);
    box-shadow: 1px 1px 15px var(--clr-surface-tonal-a50);
    max-width: 100%;
    overflow-x: hidden;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: flex-start;
    gap: 20px;
}

header {
    height: auto;
    min-height: 70px;
    width: 100vw;
    padding: 10px 0px;
    background-color: var(--clr-surface-a0);
    color: var(--clr-primary-a50);
    /*position: fixed;*/
    /*z-index: 100;*/
    /*box-shadow: 1px 1px 15px rgba(161, 182, 253, 0.825);*/
    box-shadow: 1px 1px 15px var(--clr-surface-tonal-a50);
    align-items: center;
    order: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    align-content: center;
}

main {
    order: 1;
}

footer {
    order: 2;
    display: flex;
    align-content: center;
    align-items: center;
    justify-content: center;
}

.logo {
    font-size: 27px;
    font-weight: 600;
    color: rgb(107, 86, 255);
}

.icn {
    height: 30px;
}

.menuicn {
    cursor: pointer;
}

.searchbar,
.message,
.logosec {
    display: flex;
    align-items: center;
    justify-content: center;
}

.searchbar2 {
    display: none;
}

.logosec {
    /*gap: 60px;*/
}

.searchbar input {
    width: 250px;
    height: 42px;
    border-radius: 50px 0 0 50px;
    background-color: var(--background-color3);
    padding: 0 20px;
    font-size: 15px;
    outline: none;
    border: none;
}

.searchbar button {
    background: #ddd;
    font-size: 15px;
    border: none;
    cursor: pointer;
    height: 42px;
    width: 42px;
    border-radius: 0 50px 50px 0;
}

.message {
    gap: 40px;
    position: relative;
    cursor: pointer;
}

.circle {
    height: 7px;
    width: 7px;
    position: absolute;
    background-color: #fa7bb4;
    border-radius: 50%;
    left: 19px;
    top: 8px;
}

.dp {
    height: 40px;
    width: 40px;
    background-color: #626262;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.main-container {
    display: flex;
    width: 100vw;
    position: relative;
    top: 70px;
    z-index: 1;
}

.dpicn {
    height: 42px;
}

.main {
    height: calc(100vh - 70px);
    width: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    padding: 40px 30px 30px 30px;
}

    .main::-webkit-scrollbar-thumb {
        background-image: linear-gradient(to bottom, rgb(0, 0, 85), rgb(0, 0, 50));
    }

    .main::-webkit-scrollbar {
        width: 5px;
    }

    .main::-webkit-scrollbar-track {
        background-color: #9e9e9eb2;
    }

.box-container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
    margin-bottom: 20px;
}

.panels-container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    gap: 5px;
    margin-bottom: 20px;
}

.nav {
    min-height: 91vh;
    width: 250px;
    background-color: var(--background-color2);
    position: absolute;
    top: 0px;
    left: 0;
    box-shadow: 1px 1px 10px rgba(198, 189, 248, 0.825);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;
    padding: 30px 0 20px 10px;
}

.dummy {
    width: 292px;
}

.navcontainer {
    height: calc(100vh - 70px);
    width: 250px;
    position: relative;
    overflow-y: scroll;
    overflow-x: hidden;
    transition: all 0.5s ease-in-out;
}

    .navcontainer::-webkit-scrollbar {
        display: none;
    }

.navclose {
    width: 80px;
}

.nav-option {
    width: 250px;
    height: 60px;
    display: flex;
    align-items: center;
    padding: 0 30px 0 20px;
    gap: 20px;
    transition: all 0.1s ease-in-out;
}

    .nav-option:hover {
        border-left: 5px solid #a2a2a2;
        background-color: #dadada;
        cursor: pointer;
    }

.nav-img {
    height: 30px;
}

.nav-upper-options {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

.option1 {
    border-left: 5px solid #010058af;
    background-color: var(--Border-color);
    color: white;
    cursor: pointer;
}

    .option1:hover {
        border-left: 5px solid #010058af;
        background-color: var(--Border-color);
    }

.box {
    height: 130px;
    width: 300px;
    border-radius: 12px;
    box-shadow: 3px 3px 10px rgba(0, 30, 87, 0.751);
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
}

    .box:hover {
        transform: scale(1.08);
    }

    .box:nth-child(1) {
        background-color: var(--one-use-color);
    }

    .box:nth-child(2) {
        background-color: var(--two-use-color);
    }

    .box:nth-child(3) {
        background-color: var(--one-use-color);
    }

    .box:nth-child(4) {
        background-color: var(--two-use-color);
    }

    .box:nth-child(5) {
        background-color: var(--one-use-color);
    }

    .box:nth-child(6) {
        background-color: var(--two-use-color);
    }

    .box img {
        height: 50px;
    }

    .box .text {
        color: white;
    }

.button {
    height: 50px;
    width: 200px;
    border-radius: 12px;
    box-shadow: 3px 3px 10px rgba(0, 30, 87, 0.751);
    padding: 20px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
    background-color: #008997;
}

    .button:hover {
        transform: scale(1.02);
    }

    .button img {
        height: 50px;
    }

    .button .text {
        color: white;
    }

.topic {
    font-size: 13px;
    font-weight: 400;
    letter-spacing: 1px;
}

.topic-heading {
    font-size: 30px;
    letter-spacing: 3px;
}

.reports-container {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
    gap: 50px;
    margin-bottom: 20px;
}

.report-container {
    min-height: 300px;
    max-width: 1200px;
    margin: 70px auto 0px auto;
    background-color: #ffffff;
    border-radius: 20px;
    box-shadow: 3px 3px 10px rgb(188, 188, 188);
    padding: 0px 20px 20px 20px;
}

.report-header {
    height: 80px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 20px 10px 20px;
    border-bottom: 2px solid rgba(0, 20, 151, 0.59);
}

.recent-Articles {
    font-size: 30px;
    font-weight: 600;
    color: #5500cb;
}

.view {
    height: 35px;
    width: 90px;
    border-radius: 8px;
    background-color: #5500cb;
    color: white;
    font-size: 15px;
    border: none;
    cursor: pointer;
}

.report-body {
    max-width: 1160px;
    overflow-x: auto;
    padding: 20px;
}

.report-topic-heading,
.item1 {
    width: 1120px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.t-op {
    font-size: 18px;
    letter-spacing: 0px;
}

.items {
    width: 1120px;
    margin-top: 15px;
}

.item1 {
    margin-top: 20px;
}

.t-op-nextlvl {
    font-size: 14px;
    letter-spacing: 0px;
    font-weight: 600;
}

.label-tag {
    width: 100px;
    text-align: center;
    background-color: rgb(0, 177, 0);
    color: white;
    border-radius: 4px;
}

.panel {
    height: 170px;
    max-width: 285px;
    border-radius: 12px;
    /*box-shadow: 3px 3px 10px rgba(0, 30, 87, 0.751);*/
    box-shadow: 3px 3px 10px var(--clr-surface-tonal-a50);
    padding: 10px;
    display: flex;
    align-items: center;
    justify-content: space-around;
    cursor: pointer;
    transition: transform 0.3s ease-in-out;
    flex-direction: row;
    flex-wrap: wrap;
}

    .panel:hover {
        transform: scale(1.08);
    }

.panel-col {
    /*margin-left: 5px;
    margin-right: 5px;*/
    flex-shrink: inherit;
    flex-basis: auto;
    width: 100%;
    align-content: center;
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: center;
}

.panel-row {
    display: flex;
    width: 100%;
}

.panel-col img {
    height: 20px;
}

.panel-header {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: center;
    gap: 5px;
    align-items: stretch;
    margin-bottom: 10px;
}

    .panel-header h3 {
        margin-bottom: 0;
    }

    .panel-header img {
        height: 2.1rem;
    }

.recent-rows-container {
    display: flex;
    /*justify-content: space-evenly;*/
    align-items: stretch;
    /*flex-wrap: wrap;*/
    gap: 4px;
    margin-bottom: 20px;
    flex-direction: column;
    padding: 10px;
}

.recent-row {
    display: flex;
    justify-content: space-evenly;
    align-content: center;
    flex-wrap: wrap;
    flex-direction: row;
    border-radius: 10px;
    padding: 4px;
    box-shadow: 1px 1px 3px var(--clr-surface-tonal-a50);
}

.row-burned {
    background-image: url(assets/img/fire2.png);
    background-repeat: no-repeat;
    background-size: 60px 40px;
    background-position-x: right;
    background-position-y: bottom;
}

.row-smoked {
    background-image: url(assets/img/smoke2.png);
    background-repeat: no-repeat;
    background-size: 60px 40px;
    background-position-x: right;
    background-position-y: bottom;
}

.recent-col {
    display: flex;
    align-items: center;
    gap: 5px;
    justify-content: center;
    /*margin-left: 20px;
    margin-right: 20px;
    min-width: 270px;*/
    flex-basis: 10%;
}

.bigger-col {
    flex-basis: 25%;
}

.recent-col img {
    height: 20px;
}

.clickable {
    cursor: pointer;
}

.stats-table {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 30px;
    margin-bottom: 10px;
    margin-top: 10px;
    flex-wrap: wrap;
}

.stats-column {
    display: flex;
    flex-direction: column;
}

.stats-row {
    display: flex;
    justify-content: center;
    gap: 5px;
}

    .stats-row img {
        height: 20px;
    }

.brother {
    display: flex;
    flex-direction: column;
    align-content: center;
    align-items: center;
}

.secondary-sec {
    display: flex;
    align-items: center;
    justify-content: center;
}

.secondary-btn {
    font-size: 18px;
    font-weight: 600;
    color: rgb(107, 86, 255);
}

a {
    text-decoration-line: none;
}
